# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'static_mock/version'

Gem::Specification.new do |spec|
  spec.name          = "static_mock"
  spec.version       = StaticMock::VERSION
  spec.authors       = ["Alessandro Campagni (sciamp)"]
  spec.email         = ["alessandro.campagni@gmail.com"]

  spec.summary       = %q{Create static mock objects for faster tests}
  spec.description   = %q{Define steps to execute and objects to dump for later mocking at the end of every step}
  spec.homepage      = "https://github.com/sciamp/static_mock"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
